LibreOffice: XCurrencyField Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCurrencyField Interface Referencepublished

gives access to the value and formatting of a currency field. More...

Inheritance diagram for XCurrencyField:

## Public Member Functions
void | setValue ([in] double Value)
| sets the value which is displayed in the currency field.
double | getValue ()
| returns the value which is currently displayed in the currency field.
void | setMin ([in] double Value)
| sets the minimum value that can be entered by the user.
double | getMin ()
| returns the currently set minimum value that can be entered by the user.
void | setMax ([in] double Value)
| sets the maximum value that can be entered by the user.
double | getMax ()
| returns the currently set maximum value that can be entered by the user.
void | setFirst ([in] double Value)
| sets the first value to be set on POS1 key.
double | getFirst ()
| returns the currently set first value which is set on POS1 key.
void | setLast ([in] double Value)
| sets the last value to be set on END key.
double | getLast ()
| returns the currently set last value which is set on END key.
void | setSpinSize ([in] double Value)
| sets the increment value for the spin button.
double | getSpinSize ()
| returns the currently set increment value for the spin button.
void | setDecimalDigits ([in] short nDigits)
| sets the number of decimals.
short | getDecimalDigits ()
| returns the currently set number of decimals.
void | setStrictFormat ([in] boolean bStrict)
| determines if the format is checked during user input.
boolean | isStrictFormat ()
| returns whether the format is currently checked during user input.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to the value and formatting of a currency field.

## Member Function Documentation

## ◆ getDecimalDigits()

short getDecimalDigits | ( |  | ) |

returns the currently set number of decimals.

## ◆ getFirst()

double getFirst | ( |  | ) |

returns the currently set first value which is set on POS1 key.

## ◆ getLast()

double getLast | ( |  | ) |

returns the currently set last value which is set on END key.

## ◆ getMax()

double getMax | ( |  | ) |

returns the currently set maximum value that can be entered by the user.

## ◆ getMin()

double getMin | ( |  | ) |

returns the currently set minimum value that can be entered by the user.

## ◆ getSpinSize()

double getSpinSize | ( |  | ) |

returns the currently set increment value for the spin button.

## ◆ getValue()

double getValue | ( |  | ) |

returns the value which is currently displayed in the currency field.

## ◆ isStrictFormat()

boolean isStrictFormat | ( |  | ) |

returns whether the format is currently checked during user input.

## ◆ setDecimalDigits()

void setDecimalDigits | ( | [in] short | nDigits | ) |

sets the number of decimals.

## ◆ setFirst()

void setFirst | ( | [in] double | Value | ) |

sets the first value to be set on POS1 key.

## ◆ setLast()

void setLast | ( | [in] double | Value | ) |

sets the last value to be set on END key.

## ◆ setMax()

void setMax | ( | [in] double | Value | ) |

sets the maximum value that can be entered by the user.

## ◆ setMin()

void setMin | ( | [in] double | Value | ) |

sets the minimum value that can be entered by the user.

## ◆ setSpinSize()

void setSpinSize | ( | [in] double | Value | ) |

sets the increment value for the spin button.

## ◆ setStrictFormat()

void setStrictFormat | ( | [in] boolean | bStrict | ) |

determines if the format is checked during user input.

## ◆ setValue()

void setValue | ( | [in] double | Value | ) |

sets the value which is displayed in the currency field.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XCurrencyField.idl